#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QLabel>

#include "logindialog.h"

#define PLUGIN_INDEX "plug_index"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_actionExit_triggered();
    void openPlugin();

    void on_actionOpen_database_triggered();

    void on_tabWidget_tabCloseRequested(int index);

    void on_actionLogin_triggered();

private:
    Ui::MainWindow *ui;
    LoginDialog *m_loginDialog;
    QLabel *m_lblUser;

    // QWidget interface
protected:
    void showEvent(QShowEvent *evt);
};

#endif // MAINWINDOW_H
